Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77291

Summary: General protection error on shutdown after flushing IDE devices and power down.
Product: [Retired] Red Hat Linux Reporter: Loren A. <loren9>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED CURRENTRELEASE QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
dmidecode results none

Description Loren A. 2002-11-04 18:26:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Shutdown from gnome gui or terminal.
2.
3.
	

Actual Results:  power down.
general protection fault: f000
ide-cd cdrom sb sb_lib uart401 sound soundcore mousedev input autofs iptable_f
CPU: 0
EIP: 0050:[<000000bc>]    Not Tainted
EFLAGS: 00010046

EIP is at Using Versions [] 0xbb (2.4.18-17.8.0)

after this there are other numbers followed by Code: Bad EIP value.

Expected Results:  computer turned off completely

Additional info:

Comment 1 Arjan van de Ven 2002-11-04 20:55:45 UTC
EIP: 0050:[<000000bc>] 
that's actually a bios that is oopsing
can you send me the output of the dmidecode program so I can mark this bios as
broken for this feature?
(dmidecode is in the kernel-utils rpm package)

Comment 2 Loren A. 2002-11-05 15:32:53 UTC
How do I run the dmidecode.c program?  I have made a couple of attempts, and I 
don't believe I am getting any information that you would want.  I would 
appreciate you help with this, so I can get the quirk ironed out.  THANKS!!

Comment 3 Arjan van de Ven 2002-11-05 15:35:33 UTC
ehm why do you have a .c one ?
(the kernel-utils rpm should provide a binary for it too, and you need to run it
as root, eg
dmidecode > file
and then attach "file" to this bug)

Comment 4 Loren A. 2002-11-05 15:52:33 UTC
I'm getting a 
bash: dmidecode: command not found
could the RPM not have installed correctly?

Comment 5 Loren A. 2002-11-05 19:17:03 UTC
Created attachment 83744 [details]
dmidecode results

Comment 6 Loren A. 2002-11-06 15:40:41 UTC
Is there a work around/solution for the oopsing or is it something that will 
happen forever.  The BIOS is currently the most up to date that Hewlett Packard 
has to offer.  I appreciate your help!

Comment 7 Arjan van de Ven 2002-11-06 15:43:19 UTC
you can add "apm=off" to the vmlinuz line in /boot/grub/grub.conf

Comment 8 Loren A. 2002-11-07 12:52:42 UTC
THANKS!!  That has eliminated the EIP error.  The screen now just stops at 
Power Down.  Does that mean my only option at this point is just to push the 
power button?  Thanks for your help!

Comment 9 Arjan van de Ven 2002-11-07 12:57:46 UTC
unfortionatly yes. The "oops" you saw was when the kernel was trying to use the
APM method to power down the machine. This didn't work (eg it oopsed) so
disabling APM means the kernel WON'T try to power it down, which in turn means
you have to do it yourself ;(

Comment 10 Bugzilla owner 2004-09-30 15:40:09 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/